FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Cluster Development

 
 
LinkBack Thread Tools
 
Old 12-11-2007, 10:22 AM
 
Default cluster/cman/init.d cman

CVSROOT: /cvs/cluster
Module name: cluster
Changes by: pcaulfield@sourceware.org 2007-12-11 11:22:10

Modified files:
cman/init.d : cman

Log message:
Set networking parameters suitable for running DLM over sctp

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&r1=1.32&r2=1.33

--- cluster/cman/init.d/cman 2007/07/12 19:50:16 1.32
+++ cluster/cman/init.d/cman 2007/12/11 11:22:10 1.33
@@ -39,6 +39,16 @@
# wait indefinately for fenced to start.
[ -z "$FENCED_START_TIMEOUT" ] && FENCED_START_TIMEOUT=300

+# NET_RMEM_DEFAULT -- minimum value for rmem_default. If this is set
+# higher elsewhere it will not be reduced here.
+# These two values are only really needed for the DLM when using sctp
+# but do no harm.
+[ -z "$NET_RMEM_DEFAULT" ] && NET_RMEM_DEFAULT=4194304
+
+# NET_RMEM_MAX -- minimum value for rmem_max. If this is set
+# higher elsewhere it will not be reduced here.
+[ -z "$NET_RMEM_MAX" ] && NET_RMEM_MAX=4194304
+
[ -z "$LOCK_FILE" ] && LOCK_FILE="/var/lock/subsys/cman"

[ -n "$CLUSTERNAME" ] && cman_join_opts="-c $CLUSTERNAME"
@@ -204,6 +214,21 @@
return 0
}

+set_networking_params()
+{
+ value=`cat /proc/sys/net/core/rmem_default`
+ if [ $value -le $NET_RMEM_DEFAULT ]
+ then
+ echo $NET_RMEM_DEFAULT > /proc/sys/net/core/rmem_default
+ fi
+
+ value=`cat /proc/sys/net/core/rmem_max`
+ if [ $value -le $NET_RMEM_MAX ]
+ then
+ echo $NET_RMEM_MAX > /proc/sys/net/core/rmem_max
+ fi
+}
+
start()
{
echo "Starting cluster: "
@@ -240,6 +265,15 @@
echo "failed"
return 1
fi
+ echo -n " Setting network parameters... "
+ set_networking_params
+ if [ $? -eq 0 ]
+ then
+ echo "done"
+ else
+ echo "failed"
+ return 1
+ fi
echo -n " Starting ccsd... "
start_ccsd
if [ $? -eq 0 ]
 
Old 12-11-2007, 01:04 PM
 
Default cluster/cman/init.d cman

CVSROOT: /cvs/cluster
Module name: cluster
Changes by: pcaulfield@sourceware.org 2007-12-11 14:04:27

Modified files:
cman/init.d : cman

Log message:
Some small fixes to the networking param code, thanks to Fabio on IRC

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&r1=1.33&r2=1.34

--- cluster/cman/init.d/cman 2007/12/11 11:22:10 1.33
+++ cluster/cman/init.d/cman 2007/12/11 14:04:26 1.34
@@ -216,17 +216,22 @@

set_networking_params()
{
- value=`cat /proc/sys/net/core/rmem_default`
- if [ $value -le $NET_RMEM_DEFAULT ]
- then
- echo $NET_RMEM_DEFAULT > /proc/sys/net/core/rmem_default
- fi
-
- value=`cat /proc/sys/net/core/rmem_max`
- if [ $value -le $NET_RMEM_MAX ]
+ if [ ! -f /proc/sys/net/core/rmem_default ]
+ then
+ return 0;
+ fi
+
+ value="$(cat /proc/sys/net/core/rmem_default)"
+ if [ $value -le $NET_RMEM_DEFAULT ]
+ then
+ echo $NET_RMEM_DEFAULT > /proc/sys/net/core/rmem_default
+ fi
+
+ value="$(cat /proc/sys/net/core/rmem_max)"
+ if [ $value -le $NET_RMEM_MAX ]
then
- echo $NET_RMEM_MAX > /proc/sys/net/core/rmem_max
- fi
+ echo $NET_RMEM_MAX > /proc/sys/net/core/rmem_max
+ fi
}

start()
 
Old 01-18-2008, 03:47 PM
 
Default cluster/cman/init.d cman

CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: adas@sourceware.org 2008-01-18 16:47:14

Modified files:
cman/init.d : cman

Log message:
lon's patch removes 'Domain-0' check which was breaking xvm because cman starts before xend. patch also allows you to put NODENAME in /etc/sysconfig/cluster

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1 .26.2.5&r2=1.26.2.6

--- cluster/cman/init.d/Attic/cman 2007/07/17 16:09:59 1.26.2.5
+++ cluster/cman/init.d/Attic/cman 2008/01/18 16:47:14 1.26.2.6
@@ -43,6 +43,8 @@

[ -n "$CLUSTERNAME" ] && cman_join_opts="-c $CLUSTERNAME"

+[ -n "$NODENAME" ] && cman_join_opts+=" -n $NODENAME"
+
load_modules()
{
errmsg=$( /sbin/modprobe configfs 2>&1 ) || return 1
@@ -186,12 +188,6 @@
which xm &> /dev/null || return 1

#
- # Check for presence of Domain-0; if it's not there, we can't
- # run xvmd.
- #
- xm list --long 2> /dev/null | grep -q "Domain-0" || return 1
-
- #
# Check for presence of /cluster/fence_xvmd in cluster.conf
# (If -X is specified, it doesn't matter if it's in cluster.conf;
# we'll start it anyway since ccsd is not required)
 

Thread Tools




All times are GMT. The time now is 10:14 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org